document.addEventListener("DOMContentLoaded", () => {
    const userForm = document.getElementById("user-form");
    const userList = document.getElementById("user-list");

    userForm.addEventListener("submit", async (event) => {
        event.preventDefault();
        const id = document.getElementById("user-id").value;
        const name = document.getElementById("name").value;
        const email = document.getElementById("email").value;
        
        const userData = { name, email };
        
        if (id) {
            await fetch(`backend.php?id=${id}`, {
                method: "PUT",
                headers: { "Content-Type": "application/json" },
                body: JSON.stringify(userData)
            });
        } else {
            await fetch("backend.php", {
                method: "POST",
                headers: { "Content-Type": "application/json" },
                body: JSON.stringify(userData)
            });
        }
        
        userForm.reset();
        loadUsers();
    });

    async function loadUsers() {
        const response = await fetch("backend.php");
        const users = await response.json();
        userList.innerHTML = users.map(user => `
            <tr>
                <td>${user.id}</td>
                <td>${user.name}</td>
                <td>${user.email}</td>
                <td>
                    <button class="edit" onclick="editUser(${user.id}, '${user.name}', '${user.email}')">Edit</button>
                    <button class="delete" onclick="deleteUser(${user.id})">Delete</button>
                </td>
            </tr>
        `).join("");
    }

    window.editUser = (id, name, email) => {
        document.getElementById("user-id").value = id;
        document.getElementById("name").value = name;
        document.getElementById("email").value = email;
    };

    window.deleteUser = async (id) => {
        if (confirm("Are you sure you want to delete this user?")) {
            await fetch(`backend.php?id=${id}`, { method: "DELETE" });
            loadUsers();
        }
    };

    loadUsers();
});
